org.springframework.remoting.support

## Class DefaultRemoteInvocationFactory

- java.lang.Object
- - org.springframework.remoting.support.DefaultRemoteInvocationFactory

All Implemented Interfaces:
  RemoteInvocationFactory

    public class DefaultRemoteInvocationFactory
    extends Object
    implements RemoteInvocationFactory

Default implementation of the `RemoteInvocationFactory` interface. Simply creates a new standard `RemoteInvocation` object.

Since:
  1.1
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`DefaultRemoteInvocationFactory()`

### Method Summary

Methods
`RemoteInvocation` `createRemoteInvocation(MethodInvocation methodInvocation)` Create a serializable RemoteInvocation object from the given AOP MethodInvocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultRemoteInvocationFactory

    public DefaultRemoteInvocationFactory()

### Method Detail

#### createRemoteInvocation

    public RemoteInvocation createRemoteInvocation(MethodInvocation methodInvocation)

Description copied from interface: `RemoteInvocationFactory`
Create a serializable RemoteInvocation object from the given AOP MethodInvocation.

Can be implemented to add custom context information to the remote invocation, for example user credentials.

Specified by:
  `createRemoteInvocation` in interface `RemoteInvocationFactory`
Parameters:
  `methodInvocation` - the original AOP MethodInvocation object
Returns:
  the RemoteInvocation object